Bug 251422 - system-config utilities do not run under vnc-xinetd-gdm-xdmcp
system-config utilities do not run under vnc-xinetd-gdm-xdmcp
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-08 17:49 EDT by Craig Garner
Modified: 2013-04-30 19:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-25 00:24:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Craig Garner 2007-08-08 17:49:59 EDT
Description of problem:

When attempting to run system-config-* utilities while logged in as described
above, the application does not launch.  Run from the command line, you will see
the following error:

Xlib: connection to "server:1.0" refused by server
Xlib: No protocol specified

system-config-users requires a currently running X server

Version-Release number of selected component (if applicable):

How reproducible:

Every time

Steps to Reproduce:
1.  Install vnc for use with xinetd, gdm, and xdmcp
2.  vnc and login
3.  Run system-config programs

Actual results:

Expected results:

Additional info:
Comment 1 Craig Garner 2007-08-10 21:35:59 EDT
Additional info:  If you run gedit, it works.  If you su to root, the same
problem occurs.
Comment 2 Adam Tkac 2007-08-16 08:40:46 EDT
Could you please attach server log? (located in ${HOME}/.vnc/)
Comment 3 Craig Garner 2007-08-20 13:10:10 EDT
(In reply to comment #2)
> Could you please attach server log? (located in ${HOME}/.vnc/)

There is no .vnc directory.
Comment 4 Adam Tkac 2007-08-22 09:53:07 EDT
(In reply to comment #3)
> There is no .vnc directory.

It's impossible. Could you look again into server's home directory (if you run
server under root user, look at /root/.vnc, if you run it under my_nick, look
into /home/my_nick/.vnc for example), please?

Thanks, Adam
Comment 5 Brian Powell 2008-04-25 00:24:19 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.